Package org.gradle.tooling.model.cpp

# Interface SourceFile

public interface SourceFile
Provides details about a particular source file.

Since:
  4.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getObjectFile()`
  Returns the object file produced for the source file.
  `File`
  `getSourceFile()`
  Returns the source file.

- ## Method Details

  - ### getSourceFile

    File getSourceFile()
    Returns the source file.

  - ### getObjectFile

    File getObjectFile()
    Returns the object file produced for the source file.